View Issue Details

IDProjectCategoryView StatusLast Update
0000075mysql_bman[All Projects] Generalpublic2014-03-21 17:13
ReporteroliAssigned Tooli 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Summary0000075: catch creation of backup directory nicely
Description* Backup directory does NOT exist. Creating it...
PHP Warning: mkdir(): No such file or directory in /opt/myenv-rev169/utl/mysql_bman on line 508
  ERROR: Cannot create (rc=23).
/opt/myenv/utl/mysql_bman --target=root/@127.0.0.1:3306 --type=cleanup --policy=daily --retention=3 --log=/home/daten/mysql/database/backup.log
Steps To Reproducemysql_bman --target=root/@127.0.0.1:35615 --type=cleanup --policy=daily --retention=3 --log=/tmp/backup.log --backupdir=/dev/zero
Start cleanup daily backup at 2014-03-21_17-09-38
Policy directory /dev/zero/daily does NOT exist. Creating it...
PHP Warning: mkdir(): Not a directory in /home/mysql/product/myenv-rev292/utl/mysql_bman on line 535

Warning: mkdir(): Not a directory in /home/mysql/product/myenv-rev292/utl/mysql_bman on line 535
  ERROR cannot create directory /dev/zero/daily (rc=124).
TagsNo tags attached.

Activities

oli

2014-03-21 17:13

developer   ~0000097

fixed in rev324

Issue History

Date Modified Username Field Change
2013-10-16 21:10 oli New Issue
2013-10-16 21:10 oli Status new => assigned
2013-10-16 21:10 oli Assigned To => oli
2013-10-17 11:46 oli Target Version => 1.1.0
2014-03-21 17:10 oli Steps to Reproduce Updated View Revisions
2014-03-21 17:13 oli Note Added: 0000097
2014-03-21 17:13 oli Reproducibility have not tried => always
2014-03-21 17:13 oli Status assigned => resolved
2014-03-21 17:13 oli Resolution open => fixed
2014-03-21 17:13 oli Target Version 1.1.0 => 1.0.3